import request from '@/utils/request'

// 查询项目材料领用记录列表
export function listMaterial(query) {
  return request({
    url: '/buyer/material/list',
    method: 'get',
    params: query
  })
}

// 查询项目材料领用记录详细
export function getMaterial(id) {
  return request({
    url: '/buyer/material/' + id,
    method: 'get'
  })
}

// 新增项目材料领用记录
export function addMaterial(data) {
  return request({
    url: '/buyer/material',
    method: 'post',
    data: data
  })
}

// 修改项目材料领用记录
export function updateMaterial(data) {
  return request({
    url: '/buyer/material',
    method: 'put',
    data: data
  })
}

// 删除项目材料领用记录
export function delMaterial(id) {
  return request({
    url: '/buyer/material/' + id,
    method: 'delete'
  })
}

// 统计项目材料领用记录列表
export function materialStatist(params) {
  return request({
    url: '/buyer/material/statist',
    method: 'get',
    params
  })
}



